//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/securityturret.h                                         $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:34 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
//

#ifndef __SECURITY_TURRET_H__
#define __SECURITY_TURRET_H__

#include "turret.h"

class TurretTop : public Turret
{
private:
	void        SetupBase( void );
public:
	CLASS_PROTOTYPE( TurretTop );

	TurretTop();
};

class TurretBase : public Entity
{
public:
	CLASS_PROTOTYPE( TurretBase );

	TurretBase();
	void                GoUp( Event* ev );
	void                GoDown( Event* ev );
};

#endif /* Turret.h */
